#!/usr/bin/env python
# vim: set fileencoding=utf-8 :
from setuptools import setup, find_packages  
version = '0.0.8'

try:  
    import pypandoc
    read_md = lambda f: pypandoc.convert(f, 'rst', 'md')
except ImportError:  
    print("warning: pypandoc module not found, could not convert Markdown to RST")
    read_md = lambda f: open(f, 'r').read()

setup(  
        name='afanimation',
        version=version,
        description="A simple python loading animation including funny expression.",
        classifiers=[
            "Development Status :: 3 - Alpha",
            "Environment :: Console",
            "Intended Audience :: Developers",
            "Natural Language :: English",
            "Operating System :: OS Independent",
            "Programming Language :: Python",
            "Topic :: Software Development :: Libraries :: Python Modules",
            "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
            "Topic :: Utilities",
            "License :: OSI Approved :: MIT License",
            ],
        keywords='animation, loading, load, shell, funny, simple',
        author='Aoi Fukuoka',
        author_email='aoponaopon85746@gmail.com',
        url='https://github.com/aoifukuoka/afanimation',
        license='MIT',
        packages=find_packages(exclude=['examples', 'tests']),
        include_package_data=True,
        zip_safe=True,
        long_description=read_md('README.md'),
        install_requires=['enum'],)